Filemaker 2.1v2 to Filemaker 4/5/6?

I do not have access to the databases right now but I want to upgrade Filemaker 2.1 files to the 4/5/6 format?  are they compatiable?  This is on Mac OS6 going to Mac OSX
LVL 2
mrsam3Asked:
Who is Participating?
 
lesouefConnect With a Mentor Commented:
os 6 to osX?? how large is your attic?
fm7 can open fm3 format, so a simple fp2 to fp3 or 5 should be enough before fm7+ can open it.
and if the problem is to run it under osX, fm6 is the minimum level.
if any help is needed, I still have fm4 and 6 running on a PC and fm3 on a SE30, but that last one did not boot since 2002, is it still running?...
0
 
billmercerConnect With a Mentor Commented:
I believe you'll need to upgrade the file format in stages, first converting to FP3 format, then FP5 format. I don't think you can open 2.1 files directly with FM5 or later.

Note that simply converting a 2.1 file to a later format is not necessarily the optimum solution. The FP3 format introduced significant changes to the Filemaker database platform, and to take advantage of better relationship and scripting capabilities you'll need to revamp the solution extensively, however if all you want is to be able to retrieve data, a simple conversion would be adequate.

0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.